QGIS Application - Feature request #5516
Better sorting of menus
2012-04-29 11:42 AM - Paolo Cavallini

Status: In Progress

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 15118
Description

Our list of dropdown menus keeps on increasing. | think we should decide a more predictable sorting order for it. | suggest:

- File

- Settings

- View

- Edit

- Layer

- Vector

- Raster

- Database

- Web

- Analysis (sextante)
- Plugins

- Other external plugins after that (e.g. CAD Tools, Forestry, etc.)
- Help

I think in this way QGIS interface will be easier to use, and more predictable.
Easy to implement, once decided.

History

#1 - 2012-04-29 02:14 PM - Salvatore Larosa

| agree, but | would change something! :-)

| would suggest:

- File
Edit (only Undo/Redo, Cut,Copy and Paste Feature)

- View

Layer

Vector -> Editor (submenu with the rest of the edit menu)
Raster

Database

- Analysis (sextante)
- Web

Plugins

- Other external plugins after that (e.g. CAD Tools, Forestry, etc.)

Settings
- Help
#2 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-01-26 05:05 PM - Antonio Locandro

| would think the new UI/UX user list would be able to comment on this topic and reach a resolution, hopefully for 2.4 release

#5 - 2015-12-09 03:00 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

| think this is fixed since at least QGIS 2.6 ?

Can someone confirm that nothing is missing in this menu list ?

#6 - 2016-01-15 01:45 PM - Médéric RIBREUX

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

I am closing this bug for lack of feedback and because it seems to be fixed in QGIS master...

#7 - 2016-01-16 12:31 AM - Paolo Cavallini

- Status changed from Closed to In Progress

- Priority changed from Normal to Low

It is better now, but IMHO some of the menus would be better moved, see suggestions above.

#8 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2018-02-24 03:18 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3. Plugin menu seems more appropriate towards the end.
